MOVED: Why doesn't Arduino 1.0.1 use the latest GCC?

This topic has been moved to General Discussion.

http://arduino.cc/forum/index.php?topic=133161.0